Package ch.qos.logback.core.rolling.helper

# Enum PeriodicityType

java.lang.Object
java.lang.Enum<PeriodicityType>
ch.qos.logback.core.rolling.helper.PeriodicityType

All Implemented Interfaces:
  `Serializable`, `Comparable<PeriodicityType>`, `java.lang.constant.Constable`

public enum PeriodicityType extends Enum<PeriodicityType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERRONEOUS`
`HALF_DAY`
`TOP_OF_DAY`
`TOP_OF_HOUR`
`TOP_OF_MILLISECOND`
`TOP_OF_MINUTE`
`TOP_OF_MONTH`
`TOP_OF_SECOND`
`TOP_OF_WEEK`

## Method Summary

Modifier and Type
Method
Description
`static PeriodicityType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PeriodicityType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ERRONEOUS

public static final PeriodicityType ERRONEOUS

### TOP_OF_MILLISECOND

public static final PeriodicityType TOP_OF_MILLISECOND

### TOP_OF_SECOND

public static final PeriodicityType TOP_OF_SECOND

### TOP_OF_MINUTE

public static final PeriodicityType TOP_OF_MINUTE

### TOP_OF_HOUR

public static final PeriodicityType TOP_OF_HOUR

### HALF_DAY

public static final PeriodicityType HALF_DAY

### TOP_OF_DAY

public static final PeriodicityType TOP_OF_DAY

### TOP_OF_WEEK

public static final PeriodicityType TOP_OF_WEEK

### TOP_OF_MONTH

public static final PeriodicityType TOP_OF_MONTH

## Method Details

### values

public static PeriodicityType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PeriodicityType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null